1. Parking
Calven Developer Docs
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events
  • Parking
    • Retrieve parking bookings
      GET
    • Retrieve parking bookings
      GET
  • Org Hierarchy
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • ResultCodes
    • CreatePresenceEventDto
    • DWChangeLogUserResponseDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWUsersResponseDto
    • DWLocationsResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • AccessCredentialUpdate
    • PresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • OccupancyEventDto
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • OAuthRequestDto
    • OAuthResponseDto
    • AccessCredentialUpdateResultCodes
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResponse
    • AccessCredential
    • AccessCredentialUpdateRequest
    • AuthResponseDto
    • CreateVisitorArrivalEventDto
    • CreateVisitorArrivalEventResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Parking

Retrieve parking bookings

GET
/v1/parking/booking-report
Retrieve parking bookings for a location on a given day.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/parking/booking-report?locationId=undefined&day=undefined&parkingAreaIds=undefined&parkingZoneIds=undefined'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "locationId": "string",
    "day": 0,
    "areas": [
        {
            "parkingAreaId": "string",
            "name": "string",
            "zones": [
                {
                    "parkingZoneId": "string",
                    "name": "string",
                    "spots": [
                        {
                            "parkingSpotId": "string",
                            "name": "string",
                            "bookingId": "string",
                            "tags": [
                                "accessible"
                            ],
                            "principal": {
                                "principalId": "string",
                                "principalType": "user",
                                "name": "string",
                                "email": "string"
                            },
                            "vehicleRegistrations": [
                                "string"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
Modified at 2026-08-06 10:43:53
Previous
Submit visitor arrival events
Next
Retrieve parking bookings
Built with